Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Private Member Functions | Private Attributes
ArgusSamples::SourceSettingsObserver Class Reference

Source settings observer. More...

Inheritance diagram for ArgusSamples::SourceSettingsObserver:

List of all members.

## Public Member Functions
| SourceSettingsObserver (Argus::ISourceSettings *iSourceSettings)
virtual | ~SourceSettingsObserver ()
virtual bool | isInterface (Argus::Interface *interface) const
| Check if this is the observer for the given interface.
Public Member Functions inherited from ArgusSamples::IObserverForInterface
virtual | ~IObserverForInterface ()

## Private Member Functions
bool | onExposureTimeRangeChanged (const Observed &source)
bool | onGainRangeChanged (const Observed &source)
bool | onSensorModeChanged (const Observed &source)
bool | onCaptureYuvFormatChanged (const Observed &source)
bool | onFocusPositionChanged (const Observed &source)
bool | onFrameRateChanged (const Observed &source)

## Private Attributes
Argus::ISourceSettings * | m_iSourceSettings

## Detailed Description

Source settings observer.

Update Argus source settings if values which are set through the source settings change.

Definition at line 222 of file Dispatcher.cpp.

## Constructor & Destructor Documentation

ArgusSamples::SourceSettingsObserver::SourceSettingsObserver | ( | Argus::ISourceSettings * | iSourceSettings | ) |
| inline

Definition at line 225 of file Dispatcher.cpp.

virtual ArgusSamples::SourceSettingsObserver::~SourceSettingsObserver | ( |  | ) |
| inline virtual

Definition at line 250 of file Dispatcher.cpp.

## Member Function Documentation

virtual bool ArgusSamples::SourceSettingsObserver::isInterface | ( | Argus::Interface * | interface | ) | const
| inline virtual

Check if this is the observer for the given interface.

Parameters:

  interface | [in]

Implements ArgusSamples::IObserverForInterface.

Definition at line 274 of file Dispatcher.cpp.

bool ArgusSamples::SourceSettingsObserver::onCaptureYuvFormatChanged | ( | const Observed & | source | ) |
| inline private

Definition at line 328 of file Dispatcher.cpp.

bool ArgusSamples::SourceSettingsObserver::onExposureTimeRangeChanged | ( | const Observed & | source | ) |
| inline private

Definition at line 280 of file Dispatcher.cpp.

bool ArgusSamples::SourceSettingsObserver::onFocusPositionChanged | ( | const Observed & | source | ) |
| inline private

Definition at line 342 of file Dispatcher.cpp.

bool ArgusSamples::SourceSettingsObserver::onFrameRateChanged | ( | const Observed & | source | ) |
| inline private

Definition at line 359 of file Dispatcher.cpp.

bool ArgusSamples::SourceSettingsObserver::onGainRangeChanged | ( | const Observed & | source | ) |
| inline private

Definition at line 297 of file Dispatcher.cpp.

bool ArgusSamples::SourceSettingsObserver::onSensorModeChanged | ( | const Observed & | source | ) |
| inline private

Definition at line 311 of file Dispatcher.cpp.

## Member Data Documentation

Argus::ISourceSettings* ArgusSamples::SourceSettingsObserver::m_iSourceSettings
| private

Definition at line 395 of file Dispatcher.cpp.

The documentation for this class was generated from the following file:

- modules/Dispatcher.cpp